Subject: Re: [PATCH] bonding: allow bond in mode balance-alb to work properly in bridge

From: David Miller <[email-masked]>
Date: Thu, 19 Mar 2009 03:21:43 -0700 (PDT)

From: Jiri Pirko <[email-masked]>
Date: Thu, 19 Mar 2009 09:44:45 +0100

> Yes I was looking at this thing yesterday (uc_list). But this list serves
> to different purpose. Do you think that it will be correct to use it for this? I
> would maybe like to make a new list similar to this for our purpose
> (say addr_list). I think it would be more correct.

Whatever you do with that list privately inside of the bonding
driver should be fine.

It might upset something in the generic code if you don't clean
it up before deregistration of the bonding device, so just be
tidy.